﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ItnWaypoints
{
  public partial class OrderAckDlg : Form
  {
    public OrderAckDlg(string objectNo, OrdersService.ReportedOrderData newOrder, OrdersService.ItnWaypointParameter[] waypoints)
    {
      InitializeComponent();

      DateTime dt = DateTime.Now;
      var date = dt.ToString("yyyy-MM-dd HH:mm:ss");

      string orderNo = newOrder != null ? newOrder.orderId : "";

      this.summaryTextBox.Text =
        "Object/Vehicle: " + objectNo + "\r\n" +
        "Order no: " + orderNo + "\r\n" +
        "Number of waypoints: " + (waypoints != null ? waypoints.Length : 0) + "\r\n" +
        "Time: " + date;
    }
  }
}
