﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ItnWaypoints
{
  class Tools
  {
    public static void DisplayError(AddressService.GenericServiceQueryOpResult result)
    {
      DisplayError(result.statusMessage, result.statusCode);
    }

    public static void DisplayError(OrdersService.ServiceOpResult result)
    {
      DisplayError(result.statusMessage, result.statusCode);
    }

    public static void DisplayError(string msg, int code)
    {
      if (code == 1101)
      {
        MessageBox.Show("Username or password invalid!", "Error");
      }
      else
      {
        MessageBox.Show(msg, "Error");
      }
    }

  }
}
